Panda3D

Loading...
Searching...
No Matches
Functions
distanceUnit.cxx File Reference

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University. More...

`#include "distanceUnit.h"`
`#include "config_pandatoolbase.h"`
`#include "string_utils.h"`
`#include "pnotify.h"`

Go to the source code of this file.

## Functions
double | convert_units (DistanceUnit from, DistanceUnit to)
| Returns the scaling factor that must be applied to convert from units of "from" to "to".
string | format_abbrev_unit (DistanceUnit unit)
| Returns the string representing the common abbreviation for the given unit.
string | format_long_unit (DistanceUnit unit)
| Returns the string representing the full name (plural) for the given unit.
ostream & | operator<< (ostream &out, DistanceUnit unit)
istream & | operator>> (istream &in, DistanceUnit &unit)
DistanceUnit | string_distance_unit (const string &str)
| Converts from a string, as might be input by the user, to one of the known DistanceUnit types.

## Detailed Description

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University.

All rights reserved.

All use of this software is subject to the terms of the revised BSD license. You should have received a copy of this license along with this source code in a file named "LICENSE."

Author
  drose

Date
  2001-04-17

Definition in file distanceUnit.cxx.

## Function Documentation

## ◆ convert_units()

double convert_units | ( | DistanceUnit | from,
|  | DistanceUnit | to )

Returns the scaling factor that must be applied to convert from units of "from" to "to".

Definition at line 213 of file distanceUnit.cxx.

## ◆ format_abbrev_unit()

string format_abbrev_unit | ( | DistanceUnit | unit | ) |

Returns the string representing the common abbreviation for the given unit.

Definition at line 27 of file distanceUnit.cxx.

## ◆ format_long_unit()

string format_long_unit | ( | DistanceUnit | unit | ) |

Returns the string representing the full name (plural) for the given unit.

Definition at line 67 of file distanceUnit.cxx.

## ◆ operator<<()

ostream & operator<< | ( | ostream & | out,
|  | DistanceUnit | unit )

Definition at line 106 of file distanceUnit.cxx.

## ◆ operator>>()

istream & operator>> | ( | istream & | in,
|  | DistanceUnit & | unit )

Definition at line 115 of file distanceUnit.cxx.

## ◆ string_distance_unit()

DistanceUnit string_distance_unit | ( | const string & | str | ) |

Converts from a string, as might be input by the user, to one of the known DistanceUnit types.

Returns DU_invalid if the string is unknown.

Definition at line 131 of file distanceUnit.cxx.